# NewStrategyOrder

Send a new order for the strategy. Non-paginated endpoint.

Endpoint: POST /Strategies/NewStrategyOrder
Version: v4
Security: 

## Request fields (application/json):

  - `Order` (object)

  - `Order.Id` (integer)
    The row ID. Read-only. Only present in response

  - `Order.OrderId` (string,null)
    The OrderId. Only required in NewAutotradeOrder and ReplaceAutotradeOrder endpoints

  - `Order.StrategyId` (integer,null)
    The C2 StrategyId

  - `Order.StrategyName` (string,null)
    The C2 Strategy name. Read-only. Only present in response

  - `Order.SignalId` (integer,null)
    Only required in ReplaceAutotradeOrder endpoint. The C2 SignalId

  - `Order.AvgPx` (number,null)
    The order average fill price

  - `Order.OrderType` (string,null)
    '1' = Market, '2' = Limit, '3' = Stop
    Enum: "1", "2", "3"

  - `Order.Side` (string,null)
    '1' = Buy, '2' = Sell
    Enum: "1", "2"

  - `Order.OpenClose` (string,null)
    Only required in ReplaceAutotradeOrder endpoint. 'O' = Open, 'C' = Close
    Enum: "O", "C"

  - `Order.OrderQuantity` (number,null)
    The unsigned order quantity

  - `Order.Limit` (number,null)
    The C2-formatted Limit Price

  - `Order.Stop` (number,null)
    The C2-formatted Stop Price

  - `Order.TIF` (string,null)
    The time in force. 0 = Day, 1 = Good Till Cancel (GTC)
    Enum: "0", "1"

  - `Order.ProfitTarget` (number,null)
    Only available in NewStrategyOrder endpoint. The C2-formatted Price at which to place a exit conditional order

  - `Order.StopLoss` (number,null)
    Only available in NewStrategyOrder endpoint. The C2-formatted Price at which to place a exit conditional order

  - `Order.DoNotCreateOCAGroup` (boolean,null)
    Only available in NewStrategyOrder endpoint. Default is false. Used to indicate the ProfitTarget and StopLoss orders should not be added to a OCA group. Each exit order will be managed separately

  - `Order.CancelReplaceSignalId` (integer,null)
    Used to specify that this order replaces another

  - `Order.ParentSignalId` (integer,null)
    Used to specify that this order is conditional (a child) on another

  - `Order.ParkedUntilDate` (string,null)
    The New-York date/time when the signal should be released. Applies only to Strategy signals

  - `Order.DoNotSyncToOpen` (boolean,null)
    Used to indicate this order should not be synched in the brokerage account. Only applies to Opening non-market orders

  - `Order.C2Symbol` (object)

  - `Order.C2Symbol.FullSymbol` (string,null)
    The full native C2 symbol e.g. BSRR2121Q22.5

  - `Order.C2Symbol.SymbolType` (string,null)
    The type of instrument. e.g. 'stock', 'option', 'future', 'forex'

  - `Order.C2Symbol.Underlying` (string,null)
    Option Underlying symbol. Read-only value sent in responses. It is ignored in requests.

  - `Order.C2Symbol.Expiry` (string,null)
    Option expiry. Format is 'May21'. Read-only value sent in responses. It is ignored in requests.

  - `Order.C2Symbol.PutOrCall` (string,null)
    Option 'put' or 'call'. Read-only value sent in responses. It is ignored in requests.

  - `Order.C2Symbol.StrikePrice` (number,null)
    Option strike price. Read-only value sent in responses. It is ignored in requests.

  - `Order.C2Symbol.Description` (string,null)
    (optional) Instrument description. Read-only value sent in responses. It is ignored in requests.

  - `Order.ExchangeSymbol` (object)

  - `Order.ExchangeSymbol.Symbol` (string,null)
    The exchange root symbol e.g. AAPL

  - `Order.ExchangeSymbol.Currency` (string,null)
    The 3-character ISO instrument currency. E.g. 'USD'

  - `Order.ExchangeSymbol.SecurityExchange` (string,null)
    The MIC Exchange code. Set to DEFAULT for stocks, forex & options. For Futures, valid values are: XCME, XEUR, XICE, XLIF, XNYB, XNYM, XASX, XCBF, XCBT, XCEC, XKBT, XSES. See details at http://www.iso15022.org/MIC/homepageMIC.htm

  - `Order.ExchangeSymbol.SecurityType` (string,null)
    The SecurityType e.g. 'CS', 'FUT', 'OPT', 'FOR'

  - `Order.ExchangeSymbol.MaturityMonthYear` (string,null)
    The MaturityMonthYear e.g. '202503' (March 2025), or if the contract requires a day: '20210521' (May 21, 2025)

  - `Order.ExchangeSymbol.PutOrCall` (integer,null)
    The Option PutOrCall e.g. 0 = Put, 1 = Call

  - `Order.ExchangeSymbol.StrikePrice` (number,null)
    The ISO Option Strike Price. Zero means none

  - `Order.ExchangeSymbol.PriceMultiplier` (number,null)
    The multiplier to apply to the Exchange price to get the C2-formatted price. Read-only value sent in responses. It is ignored in requests.

  - `Order.RejectMessage` (string,null)
    The order rejection message. Only available in response when OrderStatus = '8' (Rejected)

## Response 200 fields (application/json):

  - `Results` (array,null)
    Result array

  - `Results.SignalId` (integer)
    The parent C2 SignalId

  - `Results.ProfitTargetSignalId` (integer,null)
    The C2 ProfitTarget SignalId

  - `Results.StopLossSignalId` (integer,null)
    The C2 StopLoss SignalId

  - `Results.ExitSignalsOCAGroupId` (integer,null)
    The StopLossSignalId and ProfitTargetSignalId OCA (One-Cancels-All) group

  - `Results.ParkedUntilDate` (string,null)
    The New-York date/time when the signal should be released

  - `ResponseStatus` (object)

  - `ResponseStatus.ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `ResponseStatus.Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `ResponseStatus.Errors` (array,null)

  - `ResponseStatus.Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `ResponseStatus.Errors.FieldName` (string,null)
    The affected parameter.

  - `ResponseStatus.Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 400 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 401 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 403 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 406 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 409 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 429 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 500 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 503 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.


